Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLPRectilinearGridReader Class Reference

`#include <vtkXMLPRectilinearGridReader.h>`

Inheritance diagram for vtkXMLPRectilinearGridReader:

[legend]
Collaboration diagram for vtkXMLPRectilinearGridReader:

[legend]
List of all members.

## Detailed Description

Read PVTK XML RectilinearGrid files.

Date:
  2002/11/22 20:51:52

Revision:
  1.2

vtkXMLPRectilinearGridReader reads the PVTK XML RectilinearGrid file format. This reads the parallel format's summary file and then uses vtkXMLRectilinearGridReader to read data from the individual RectilinearGrid piece files. Streaming is supported. The standard extension for this reader's file format is "pvtr".

See also:
  vtkXMLRectilinearGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (98%)

CVS logs (CVSweb):
  - .`cxx` (`/IO/vtkXMLPRectilinearGridReader.cxx)`
  - .`h` (`/IO/vtkXMLPRectilinearGridReader.h)`

Definition at line 49 of file vtkXMLPRectilinearGridReader.h.

## Public Types
typedef vtkXMLPStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkRectilinearGrid *output)
vtkRectilinearGrid * | GetOutput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLPRectilinearGridReader * | SafeDownCast (vtkObject *o)
vtkXMLPRectilinearGridReader * | New ()
## Protected Methods
| vtkXMLPRectilinearGridReader ()
| ~vtkXMLPRectilinearGridReader ()
vtkRectilinearGrid * | GetPieceInput (int index)
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
void | GetPieceInputExtent (int index, int *extent)
int | ReadPrimaryElement (vtkXMLDataElement *ePrimary)
void | SetupOutputInformation ()
void | SetupOutputData ()
int | ReadPieceData ()
vtkXMLDataReader * | CreatePieceReader ()
void | CopySubCoordinates (int *inBounds, int *outBounds, int *subBounds, vtkDataArray *inArray, vtkDataArray *outArray)
## Protected Attributes
vtkXMLDataElement * | PCoordinatesElement

## Member Typedef Documentation

typedef vtkXMLPStructuredDataReader vtkXMLPRectilinearGridReader::Superclass

| Reimplemented from vtkXMLPStructuredDataReader. Definition at line 52 of file vtkXMLPRectilinearGridReader.h.

## Constructor & Destructor Documentation

vtkXMLPRectilinearGridReader::vtkXMLPRectilinearGridReader | ( |  | ) | `[protected]`

vtkXMLPRectilinearGridReader::~vtkXMLPRectilinearGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLPRectilinearGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

int vtkXMLPRectilinearGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

virtual int vtkXMLPRectilinearGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPRectilinearGridReader* vtkXMLPRectilinearGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPRectilinearGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLPRectilinearGridReader* vtkXMLPRectilinearGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLPRectilinearGridReader::SetOutput | ( | vtkRectilinearGrid * | output | ) |

| Get/Set the reader's output.

vtkRectilinearGrid* vtkXMLPRectilinearGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkRectilinearGrid* vtkXMLPRectilinearGridReader::GetPieceInput | ( | int | index | ) | `[protected]`

const char* vtkXMLPRectilinearGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLPRectilinearGridReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

void vtkXMLPRectilinearGridReader::GetPieceInputExtent | ( | int | index,
|  | int * | extent
| ) | `[protected, virtual]`

| Implements vtkXMLPStructuredDataReader.

int vtkXMLPRectilinearGridReader::ReadPrimaryElement | ( | vtkXMLDataElement * | ePrimary | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

void vtkXMLPRectilinearGridReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

void vtkXMLPRectilinearGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPDataReader.

int vtkXMLPRectilinearGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLPStructuredDataReader.

vtkXMLDataReader* vtkXMLPRectilinearGridReader::CreatePieceReader | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLPDataReader.

void vtkXMLPRectilinearGridReader::CopySubCoordinates | ( | int * | inBounds,
|  | int * | outBounds,
|  | int * | subBounds,
|  | vtkDataArray * | inArray,
|  | vtkDataArray * | outArray
| ) | `[protected]`

## Member Data Documentation

vtkXMLDataElement* vtkXMLPRectilinearGridReader::PCoordinatesElement`[protected]`

| Definition at line 80 of file vtkXMLPRectilinearGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLPRectilinearGridReader.h